<?php

include("acesso/config.php");

/*if(!isset($tamanho))
	$tamanho = $_GET['tamanho']; 

if(!isset($quantidade))
	$quantidade = $_GET['quantidade'];

$dias_semanas = array('dom', 'seg', 'ter', 'qua', 'qui', 'sex', 'sab');
$exibicao = $dias_semanas[date('w')]; 

// a clasula ORDER by RAND() é responsável pela rotação do banner.
if(($tamanho!='') AND ($quantidade!='')) {$query = "SELECT * FROM bnr_ban_imagens as b INNER JOIN bnr_ban_tamanho as c ON b.id_tamanho = c.id_tamanho WHERE b.id_tamanho = $tamanho AND ativo = 1 AND $exibicao = 1 ORDER by RAND() LIMIT $quantidade";}
else {$query = "SELECT * FROM bnr_ban_imagens as b INNER JOIN bnr_ban_tamanho as c ON b.id_tamanho = c.id_tamanho AND ativo = 1 AND $exibicao = 1 ORDER by RAND()";};
$consulta = mysql_query($query, $conn);

while($row = mysql_fetch_array($consulta)){
	
$row['views'] += 1;

// adiciona mais 1 ao campo exibicoes
$update = "UPDATE bnr_ban_imagens SET views=". addslashes($row['views']) ." WHERE id='". addslashes($row['id']) ."'";
mysql_query($update, $conn);

// adiciona a data do view
$up = "INSERT INTO bnr_rel_banner_views SET id_banner = ". addslashes($row['id']) ." , data_view = NOW()";
mysql_query($up, $conn);

// imprime o banner ,que vai ser usado
$str = explode("x",$row['dimensao']);
	  
$info = pathinfo($row['imagem']);
	  
if($info['extension'] == 'swf'){		
			
			
		 	echo "<div style=\"width:".$str[0]."px; height:".$str[1]."px;margin-bottom:". $space ."px;\">";
		  	echo "<div style=\"position:relative; width:".$str[0]."px; height:".$str[1]."px;\">";
		  	echo "<object classid=clsid:D27CDB6E-AE6D-11cf-96B8-444553540000 codebase=http://download.macromedia.com/pub/shockwave/cabs/flash/swflash.cab#version=7,0,19,0 width=".$str[0]." height=".$str[1].">";
	      	echo '<param name="movie" value="'.$ban_url.$row['imagem'].'">';
			echo '<param name="wmode" value="transparent" />';
	      	echo '<embed src="'.$ban_url.$row['imagem'].'" width="'.$str[0].'" height="'.$str[1].'" wmode="transparent">';
	      	echo '</embed> </object> </div>';	      	
		  	echo "<div style=\"position:relative; top:-".$str[1]."px; width:".$str[0]."px; height:".$str[1]."px;\">";
			
		echo "<a href=\"bnr_conta_click.php?id=". $row['id']. "\" target=\"_blank\" style=\"display:block; height:".$str[1]."px; background:none;\">";
			
			if ( strstr($_SERVER["HTTP_USER_AGENT"], "MSIE")) {
				echo "<img src='banners/img.gif' width=\"".$str[0]."\" height=\"".$str[1]."\"/>";
			}
			
		  	echo "</a></div></div>";
		  
	  }else{
				echo "<li><a href='bnr_conta_click.php?id=". $row['id']. "' target='_blank'><img src='".$row['imagem']."' alt='".$row['descricao']."' /></a></li>";
			}
}

mysql_close($conn);


?>